Bug 1033784 - dracut.conf man page not updated along with dracut in RHEL 6.5
Summary: dracut.conf man page not updated along with dracut in RHEL 6.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut
Version: 6.6
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Harald Hoyer
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-22 22:19 UTC by Ryan Sawhill
Modified: 2014-10-14 07:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Not all changes to dracut were documented in the man pages. Consequence: No documentation for newly added features. Fix: Documentation was added. Result: Complete documentation.
Clone Of:
Environment:
Last Closed: 2014-10-14 07:05:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1492 normal SHIPPED_LIVE dracut bug fix and enhancement update 2014-10-14 01:28:23 UTC

Description Ryan Sawhill 2013-11-22 22:19:32 UTC
Description of problem:

  Looks like we need to update the dracut.conf man page to accomodate
  the new version of dracut we shipped in RHEL 6.5. Might need to update
  dracut man page too.

Version-Release number of selected component (if applicable):

  dracut-004-336.el6

Additional info:

  It appears that the dracut.conf man page (not sure about dracut man page
  itself) was not updated to reflect the new features. I noticed this
  because I was looking for a way to make dracut always include certain
  arbitrary files in the initramfs it builds (e.g., luks key files) and
  I found such an option in the Fedora dracut.conf man page (a directive
  called "install_items") which DOES work with dracut.conf in RHEL 6.5,
  but which isn't in the man page there.

Comment 1 RHEL Program Management 2014-05-12 19:21:32 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 2 Harald Hoyer 2014-05-28 14:20:21 UTC
please test:
http://people.redhat.com/harald/downloads/dracut/dracut-004-347.el6/

Comment 5 Alexander Todorov 2014-06-05 19:43:29 UTC
# man dracut.conf

       install_items+=" <file>[ <file> ...] "

              Specify additional files to include in the initramfs, separated by spaces.


with dracut-004-349.el6.noarch. 

missing man page section for install_items is referenced in comment #0 so I'm moving this to VERIFIED. Please open another bug report(s) for other missing sections or options.

Comment 6 errata-xmlrpc 2014-10-14 07:05:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1492.html


Note You need to log in before you can comment on or make changes to this bug.